cdac.medinfo.model

## Class MedicalEquipment

- java.lang.Object
- - cdac.medinfo.model.MedicalEquipment

-     public class MedicalEquipment
      extends java.lang.Object

  This class specify Medical Equipment Section Details. The Medical Equipment section defines a patient's implanted and external medical devices and equipment that their health status depends on, as well as any pertinent equipment or device history. This section is also used to itemize any pertinent current or historical durable medical equipment (DME) used to help maintain the patient's health status.

  This class has the following attributes:

  1. Supply Device (String)
  2. Date Supplied (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicalEquipment()` Default constructor of Medical Equipment.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDateSupplied()` Returns the Date of dispensing of Medical Equipment.
    `java.lang.String` | `getSupplyDevice()` Returns the Supply Device Information.
    `void` | `setDateSupplied(java.lang.String dateSupplied)` Sets the Date of dispensing of Medical Equipment.
    `void` | `setSupplyDevice(java.lang.String supplyDevice)` Sets the Supply Device Information.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedicalEquipment

          public MedicalEquipment()

      Default constructor of Medical Equipment.

  - ### Method Detail

    - #### getSupplyDevice

          public java.lang.String getSupplyDevice()

      Returns the Supply Device Information.
      Returns:
        the supplyDevice

    - #### setSupplyDevice

          public void setSupplyDevice(java.lang.String supplyDevice)

      Sets the Supply Device Information.
      Parameters:
        `supplyDevice` - Specifies the Supply Device Information.

    - #### getDateSupplied

          public java.lang.String getDateSupplied()

      Returns the Date of dispensing of Medical Equipment.
      Returns:
        the dateSupplied

    - #### setDateSupplied

          public void setDateSupplied(java.lang.String dateSupplied)

      Sets the Date of dispensing of Medical Equipment.
      Parameters:
        `dateSupplied` - Specifies the actual or intended time of dispensing of Medical Equipment.